=== debian/changelog ===
libcitygml (2.0.8-1) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.3, no changes.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Jan 2018 15:54:00 +0100

libcitygml (2.0.8-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 19 Dec 2017 23:47:54 +0100

libcitygml (2.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches applied/included upstream.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Nov 2017 19:49:37 +0100

libcitygml (2.0.4-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.1, no changes.
  * Strip trailing whitespace from changelog.
  * Add patch by Matthias Klose to fix FTBFS with xerces-3.2.
    (closes: #881924)
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Nov 2017 17:10:50 +0100
