## libcitygml 2.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,11 @@
 
 set(META_VERSION_MAJOR       "2")
 set(META_VERSION_MINOR       "0")
-set(META_VERSION_PATCH       "8")
+set(META_VERSION_PATCH       "9")
 
 set(META_VERSION             "${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH}")
 
-SET( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMakeModules" )
+SET( CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules" )
 
 IF(WIN32)
 
@@ -197,7 +197,7 @@
       set(CPACK_PACKAGE_VERSION_MAJOR         "${META_VERSION_MAJOR}")
       set(CPACK_PACKAGE_VERSION_MINOR         "${META_VERSION_MINOR}")
       set(CPACK_PACKAGE_VERSION_PATCH         "${META_VERSION_PATCH}")
-      set(CPACK_RESOURCE_FILE_LICENSE         "${CMAKE_SOURCE_DIR}/LICENSE")
+      set(CPACK_RESOURCE_FILE_LICENSE         "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
       set(CPACK_PACKAGE_RELOCATABLE           OFF)
 
       # Debian package information
