=== sources/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 include(GenerateExportHeader)
 
 IF (NOT DEFINED CMAKE_MODULE_PATH)
-  GET_FILENAME_COMPONENT(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/../CMakeModules" ABSOLUTE)
+  GET_FILENAME_COMPONENT(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../CMakeModules" ABSOLUTE)
 ENDIF (NOT DEFINED CMAKE_MODULE_PATH)
 
 SET( target citygml )
