=== debian/changelog ===
libcitygml (2.0.9-3build3) jammy; urgency=medium

  * No-change rebuild against libgdal30

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:27:49 +0000

libcitygml (2.0.9-3build2) jammy; urgency=medium

  * No-change rebuild against libgdal29

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Oct 2021 14:18:40 +0000

libcitygml (2.0.9-3build1) hirsute; urgency=medium

  * No-change rebuild for gdal soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Dec 2020 09:41:22 +0100

libcitygml (2.0.9-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update watch file to limit matches to archive path.
  * Add Build-Depends-Package field to symbols file.
  * Add lintian overrides for file-references-package-build-path.
  * Update gbp.conf to use --source-only-changes by default.
  * Update symbols for amd64.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Nov 2020 20:04:20 +0100

libcitygml (2.0.9-2) unstable; urgency=medium

  * Team upload.
  * Strip trailing whitespace from control & rules files.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 19:40:36 +0200

libcitygml (2.0.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.4, no changes.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Apr 2018 16:44:03 +0200
