=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: libcitygml
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: YunQiang Su <wzssyqa@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                cmake,
                libxml2-dev,
                libgdal-dev,
                libgl1-mesa-dev | libgl-dev,
                libglu-dev,
                pkg-kde-tools
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/libcitygml.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/libcitygml.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/libcitygml
+Vcs-Git: https://salsa.debian.org/debian-gis-team/libcitygml.git
 Homepage: https://github.com/jklimke/libcitygml
 
 Package: libcitygml2
@@ -79,4 +80,3 @@
  is quickly being adopted on an international level.
  .
  This package contains the citygmltest utility.
-
