## libcitygml 2.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 PROJECT ( libcitygml )
 
 set(META_VERSION_MAJOR       "2")
-set(META_VERSION_MINOR       "0")
-set(META_VERSION_PATCH       "9")
+set(META_VERSION_MINOR       "4")
+set(META_VERSION_PATCH       "1")
 
 set(META_VERSION             "${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH}")
