=== sources/CMakeLists.txt ===
--- 
+++ 
@@ -77,6 +77,8 @@
   src/citygml/geometrymanager.cpp
   src/citygml/linestring.cpp
   src/citygml/address.cpp
+  src/citygml/rectifiedgridcoverage.cpp
+  src/citygml/externalreference.cpp
 
   src/parser/nodetypes.cpp
   src/parser/attributes.cpp
@@ -98,11 +100,13 @@
   src/parser/citymodelelementparser.cpp
   src/parser/cityobjectelementparser.cpp
   src/parser/appearanceelementparser.cpp
+  src/parser/externalreferenceparser.cpp
   src/parser/materialelementparser.cpp
   src/parser/textureelementparser.cpp
   src/parser/georeferencedtextureelementparser.cpp
   src/parser/geometryelementparser.cpp
   src/parser/polygonelementparser.cpp
+  src/parser/rectifiedgridcoverageparser.cpp
   src/parser/linestringelementparser.cpp
   src/parser/linearringelementparser.cpp
   src/parser/implicitgeometryelementparser.cpp
@@ -145,6 +149,8 @@
   include/citygml/citygmlfactory.h
   include/citygml/linestring.h
   include/citygml/address.h
+  include/citygml/rectifiedgridcoverage.h
+  include/citygml/externalreference.h
 )
 
 SET(HEADERS
@@ -179,11 +185,13 @@
   include/parser/citymodelelementparser.h
   include/parser/cityobjectelementparser.h
   include/parser/appearanceelementparser.h
+  include/parser/externalreferenceparser.h
   include/parser/materialelementparser.h
   include/parser/textureelementparser.h
   include/parser/georeferencedtextureelementparser.h
   include/parser/geometryelementparser.h
   include/parser/polygonelementparser.h
+  include/parser/rectifiedgridcoverageparser.h
   include/parser/linestringelementparser.h
   include/parser/linearringelementparser.h
   include/parser/implicitgeometryelementparser.h
@@ -197,7 +205,10 @@
                        EXPORT_MACRO_NAME LIBCITYGML_EXPORT
                        EXPORT_FILE_NAME ${EXPORT_HEADER_FILE_NAME})
 
-TARGET_LINK_LIBRARIES( ${target} ${XERCESC_LIBRARIES} ${OPENGL_LIBRARIES} ${GDAL_LIBRARY} )
+TARGET_LINK_LIBRARIES( ${target} PUBLIC ${XERCESC_LIBRARIES} ${OPENGL_LIBRARIES} )
+if(LIBCITYGML_USE_GDAL)
+    TARGET_LINK_LIBRARIES( ${target} PUBLIC ${GDAL_LIBRARY} )
+endif(LIBCITYGML_USE_GDAL)
 
 set_target_properties( ${target} PROPERTIES
     VERSION ${META_VERSION}
@@ -214,19 +225,49 @@
     set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/citygml")
 endif(NOT DEFINED INCLUDE_INSTALL_DIR)
 
+if(WIN32)
+  set(CONFIG_INSTALL_DIR "cmake")
+else()
+  set(CONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/citygml")
+endif()
+
 INSTALL(
     TARGETS ${target}
+    EXPORT citygmlConfigInternal
     RUNTIME DESTINATION ${BIN_INSTALL_DIR}
     LIBRARY DESTINATION ${LIB_INSTALL_DIR}
     ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
-)
-
+    COMPONENT "runtime"
+)
+INSTALL(
+    EXPORT citygmlConfigInternal
+    DESTINATION "${CONFIG_INSTALL_DIR}"
+    NAMESPACE "citygml::"
+    COMPONENT "development"
+)
+
+include(CMakePackageConfigHelpers)
+configure_package_config_file(
+  "${CMAKE_CURRENT_SOURCE_DIR}/citygmlConfig.cmake.in"
+  "${CMAKE_CURRENT_BINARY_DIR}/citygmlConfig.cmake"
+  INSTALL_DESTINATION "${CONFIG_INSTALL_DIR}")
+write_basic_package_version_file(
+  ${CMAKE_CURRENT_BINARY_DIR}/citygmlConfigVersion.cmake
+  VERSION "${META_VERSION}"
+  COMPATIBILITY SameMajorVersion)
+INSTALL(
+    FILES ${CMAKE_CURRENT_BINARY_DIR}/citygmlConfig.cmake
+          ${CMAKE_CURRENT_BINARY_DIR}/citygmlConfigVersion.cmake
+    DESTINATION "${CONFIG_INSTALL_DIR}"
+    COMPONENT "development"
+)
 
 # FIXME: Do not run for OS X framework
 INSTALL(
     FILES
       ${PUBLIC_HEADER}
     DESTINATION  ${INCLUDE_INSTALL_DIR}
+    COMPONENT "development"
 )
 
 INSTALL(
@@ -234,10 +275,26 @@
       ${EXPORT_HEADER_FILE_NAME}
     DESTINATION
       ${INCLUDE_INSTALL_DIR}
-)
-
+    COMPONENT "development"
+)
+
+if (LIBCITYGML_DEBUG_POSTFIX AND CMAKE_BUILD_TYPE STREQUAL "Debug")
+    set(LIBCITYGML_POSTFIX ${CMAKE_DEBUG_POSTFIX})
+else()
+    set(LIBCITYGML_POSTFIX "")
+endif()
+
+set(PKG_CONFIG_REQUIRES "xerces-c glu")
+
+if (LIBCITYGML_USE_GDAL)
+    set(PKG_CONFIG_REQUIRES "${PKG_CONFIG_REQUIRES} gdal")
+endif()
 
 configure_file(citygml.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/citygml.pc)
 
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/citygml.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
-
+INSTALL(
+    FILES ${CMAKE_CURRENT_BINARY_DIR}/citygml.pc 
+    DESTINATION ${LIB_INSTALL_DIR}/pkgconfig
+    COMPONENT "development"
+)
+
