=== test/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 ENDIF( LIBCITYGML_DYNAMIC )
 
 # INCLUDE_DIRECTORIES( ${CITYGML_INCLUDE_DIR} )
-INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/sources/include ${CMAKE_BINARY_DIR}/sources/include)
+INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/../sources/include ${CMAKE_BINARY_DIR}/sources/include)
 
 SET( PRG_SRCS citygmltest.cpp )
