=== debian/changelog ===
libcitygml (2.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Jun 2022 15:18:15 +0200

libcitygml (2.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop spelling-errors.patch, applied upstream.
  * Update symbols for other architectures.
  * Include CMake files in -dev package.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Mar 2022 05:47:00 +0100

libcitygml (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.6.0, no changes.
  * Update watch file for GitHub URL changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update lintian overrides.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Mar 2022 16:20:53 +0100
