=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: libcitygml
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: YunQiang Su <wzssyqa@gmail.com>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                libxml2-dev,
                libgdal-dev,
                libgl1-mesa-dev | libgl-dev,
                libglu-dev,
                pkg-kde-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libcitygml
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libcitygml.git
 Homepage: https://github.com/jklimke/libcitygml
