=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,5 @@
 	dh_auto_configure -- \
 		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
 
-override_dh_install:
-	dh_install --list-missing
-
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c0 -v$(CITYGML_VERSION)
-
