=== test/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,9 @@
     SET(CMAKE_SHARED_LINKER_FLAGS_DEBUG "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} /NODEFAULTLIB:MSVCRT")
 ENDIF()
 
-FIND_PACKAGE( OpenGL REQUIRED )
+IF( LIBCITYGML_USE_OPENGL)
+  FIND_PACKAGE( OpenGL REQUIRED )
+ENDIF( LIBCITYGML_USE_OPENGL )
 FIND_PACKAGE( Xerces REQUIRED )
 
 IF( LIBCITYGML_DYNAMIC )
@@ -18,7 +20,11 @@
 
 ADD_EXECUTABLE( citygmltest ${PRG_SRCS} )
 
-TARGET_LINK_LIBRARIES( citygmltest citygml ${XERCESC_LIBRARY} ${OPENGL_LIBRARIES} )
+TARGET_LINK_LIBRARIES( citygmltest citygml ${XERCESC_LIBRARY})
+IF(LIBCITYGML_USE_OPENGL)
+  TARGET_COMPILE_DEFINITIONS( citygmltest PUBLIC LIBCITYGML_USE_OPENGL)
+  TARGET_LINK_LIBRARIES( citygmltest citygml ${OPENGL_LIBRARIES} )
+ENDIF(LIBCITYGML_USE_OPENGL)
 
 if(NOT DEFINED BIN_INSTALL_DIR)
     set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
