=== debian/changelog ===
libcitygml (2.5.1-1build1) mantic; urgency=medium

  * Rebuild against latest gdal

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jun 2023 13:51:25 -0400

libcitygml (2.5.1-1) unstable; urgency=medium

  * Team upload.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 13:12:30 +0200

libcitygml (2.5.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 May 2023 11:24:58 +0200

libcitygml (2.5.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Update symbols for amd64.
  * Drop obsolete libgl1-mesa-dev build dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Feb 2023 15:04:49 +0100
