=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
                cmake,
                libxml2-dev,
                libgdal-dev,
-               libgl1-mesa-dev | libgl-dev,
+               libgl-dev,
                libglu-dev,
                pkg-kde-tools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/libcitygml
 Vcs-Git: https://salsa.debian.org/debian-gis-team/libcitygml.git
 Homepage: https://github.com/jklimke/libcitygml
+Rules-Requires-Root: no
 
 Package: libcitygml2
 Architecture: any
