=== test/CMakeLists.txt ===
--- 
+++ 
@@ -31,3 +31,8 @@
 endif(NOT DEFINED BIN_INSTALL_DIR)
 
 install(TARGETS citygmltest RUNTIME DESTINATION ${BIN_INSTALL_DIR})
+
+
+add_test(NAME berlin_open_data_sample_data COMMAND citygmltest ../../data/berlin_open_data_sample_data.citygml)
+add_test(NAME b1_lod2_s COMMAND citygmltest ../../data/b1_lod2_s.gml)
+add_test(NAME FZK-Haus-LoD0-KIT-IAI-KHH-B36-V1 COMMAND citygmltest ../../data/FZK-Haus-LoD0-KIT-IAI-KHH-B36-V1.gml)
