=== debian/changelog ===
libcitygml (2.5.2-1build6) resolute; urgency=medium

  * No-change rebuild for libgdal37.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 30 Oct 2025 20:50:20 +0000

libcitygml (2.5.2-1build5) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 05:50:34 +0200

libcitygml (2.5.2-1build4) plucky; urgency=medium

  * No-change rebuild for libgdal36.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 31 Dec 2024 23:52:30 +0000

libcitygml (2.5.2-1build3) oracular; urgency=medium

  * Rebuild against new libgdal35.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 May 2024 11:07:19 +0200

libcitygml (2.5.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:55:01 +0000

libcitygml (2.5.2-1build1) noble; urgency=medium

  * No-change rebuild against libxerces-c3.2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Mar 2024 07:47:43 +0000

libcitygml (2.5.2-1) unstable; urgency=medium

  * Team upload.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Jan 2024 13:41:44 +0100

libcitygml (2.5.2-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump debhelper compat to 13.
  * Remove generated files in clean target.
    (closes: #1047986)
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Jan 2024 06:18:08 +0100
