=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,9 @@
 CITYGML_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 
 %:
-	dh $@ --with pkgkde_symbolshelper
+	dh $@
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	-rm -rf obj-*-*
 
 override_dh_auto_configure:
